# Zotrieď ma


Pri určovaní marketingovej stratégie je veľmi dôležité zistiť,. ktorá pizza je najlacnejšia. Dalo by sa to síce zistiť jednoduchým prečítaním jedálneho lístka, ale vieme to robiť aj inak - strojovým spracovaním. Nová verzia jedálneho listka by mala byť zoradená podľa ceny tak, aby najlacnejšia pizza bola na prvom mieste. V prípade, že je cena rovnaká, zoraďte položky podľa abecedy. Špeciálne znaky s diakritikou nemusíte brať do úvahy.

Jedálny lístok je vo formáte:

    Názov 1
    Cena 1
    Názov 2
    Cena 2
    atd.

Názov je ľubovoľný neprázdny reťazec neprázdnych znakov. Názov nie je dlhší ako 100 znakov.
Cena je číslo s desatinnou čiarkou zadané na dva miesta.
Jedálny lístok je ukončený neplatnou položkou (nesprávne zadaný názov alebo cena) alebo koncom vstupu.

Práca s programom môže vyzerať napríklad takto:

Vstup:

    Salamovo Fazulova pizza
    7.96
    Sunkova pizza
    5.77
    Bryndzova pizza
    8.67
    Zelerova pizza
    8.86
    Slaninovo Sunkova pizza
    7.55
    Slaninova pizza
    V

Výstup:

    Sunkova pizza
    5.770000
    Slaninova pizza
    5.160000
    Salamovo Fazulova pizza
    7.960000
    Slaninovo Sunkova pizza
    7.550000
    Bryndzova pizza
    8.670000
    Zelerova pizza
    8.860000
